<?php

namespace FiloBlu\Storelocator\Plugin;

class EmailTemplate {


    public function afterToOptionArray($subject, $result)
    {
        $customTemplates = [
            "carriers_pickupinstore_refilo_email_to_store_template" => "Refilo Pick Up In Store Confirmation To Store"
        ];
        $ct = [];
        foreach($customTemplates as $k => $v){
            $ct[] = ['value' => $k, 'label' => $v];
        }
        array_walk(
            $ct,
            function (&$item) {
                $item['__disableTmpl'] = true;
            }
        );
        $a = $subject;
        $b = $result;

        $newResult = array_merge($result,$ct);

        return $newResult;
    }

}
